### Class

# GtkSource StyleSchemeManager

#### Description [src]

    final class GtkSource.StyleSchemeManager : GObject.Object
    {
      /* No available fields */
    }

Provides access to `GtkSourceStyleScheme`s.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gtk_source_style_scheme_manager_new

Creates a new style manager.

#### Functions

###### gtk_source_style_scheme_manager_get_default

Returns the default `GtkSourceStyleSchemeManager` instance.

#### Instance methods

###### gtk_source_style_scheme_manager_append_search_path

Appends `path` to the list of directories where the `manager` looks for style scheme files.

###### gtk_source_style_scheme_manager_force_rescan

Mark any currently cached information about the available style schems as invalid.

###### gtk_source_style_scheme_manager_get_scheme

Looks up style scheme by id.

###### gtk_source_style_scheme_manager_get_scheme_ids

Returns the ids of the available style schemes.

###### gtk_source_style_scheme_manager_get_search_path

Returns the current search path for the `manager`.

###### gtk_source_style_scheme_manager_prepend_search_path

Prepends `path` to the list of directories where the `manager` looks for style scheme files.

###### gtk_source_style_scheme_manager_set_search_path

Sets the list of directories where the `manager` looks for style scheme files.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GtkSource.StyleSchemeManager:scheme-ids

No description available.

###### GtkSource.StyleSchemeManager:search-path

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceStyleSchemeManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.